# Microsoft.Samples.DirectX.UtilityToolkit.FrameworkData Class Reference

Holds data for the Framework class, and all of the properties. More...

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.FrameworkData:

[legend]

List of all members.

## Public Member Functions
| FrameworkData ()
| Initialize data.
| FrameworkData ()
| Initialize data.
| FrameworkData ()
| Initialize data.
## Properties
Device | Device`[get, set]`
DeviceSettings | CurrentDeviceSettings`[get, set]`
SurfaceDescription | BackBufferSurfaceDesc`[get, set]`
Caps | Caps`[get, set]`
System.Windows.Forms.Control | WindowFocus`[get, set]`
System.Windows.Forms.Control | WindowDeviceFullScreen`[get, set]`
System.Windows.Forms.Control | WindowDeviceWindowed`[get, set]`
IntPtr | AdapterMonitor`[get, set]`
double | CurrentTime`[get, set]`
float | ElapsedTime`[get, set]`
System.Windows.Forms.FormStartPosition | DefaultStartingLocation`[get, set]`
System.Drawing.Rectangle | ClientRectangle`[get, set]`
System.Drawing.Rectangle | FullScreenClientRectangle`[get, set]`
System.Drawing.Rectangle | WindowBoundsRectangle`[get, set]`
System.Drawing.Point | ClientLocation`[get, set]`
System.Windows.Forms.MainMenu | Menu`[get, set]`
double | LastStatsUpdateTime`[get, set]`
uint | LastStatsUpdateFrames`[get, set]`
float | CurrentFrameRate`[get, set]`
int | CurrentFrameNumber`[get, set]`
bool | IsHandlingDefaultHotkeys`[get, set]`
bool | IsShowingMsgBoxOnError`[get, set]`
bool | AreStatsHidden`[get, set]`
bool | IsCursorClippedWhenFullScreen`[get, set]`
bool | IsShowingCursorWhenFullScreen`[get, set]`
bool | IsUsingConstantFrameTime`[get, set]`
float | TimePerFrame`[get, set]`
bool | IsInWireframeMode`[get, set]`
bool | CanAutoChangeAdapter`[get, set]`
bool | IsWindowCreatedWithDefaultPositions`[get, set]`
int | ApplicationExitCode`[get, set]`
bool | IsInited`[get, set]`
bool | WasWindowCreated`[get, set]`
bool | WasDeviceCreated`[get, set]`
bool | WasInitCalled`[get, set]`
bool | WasWindowCreateCalled`[get, set]`
bool | WasDeviceCreateCalled`[get, set]`
bool | AreDeviceObjectsCreated`[get, set]`
bool | AreDeviceObjectsReset`[get, set]`
bool | IsInsideDeviceCallback`[get, set]`
bool | IsInsideMainloop`[get, set]`
bool | IsActive`[get, set]`
bool | IsTimePaused`[get, set]`
bool | IsRenderingPaused`[get, set]`
int | PauseRenderingCount`[get, set]`
int | PauseTimeCount`[get, set]`
bool | IsDeviceLost`[get, set]`
bool | IsMinimized`[get, set]`
bool | IsMaximized`[get, set]`
bool | AreSizeChangesIgnored`[get, set]`
bool | IsNotifiedOnMouseMove`[get, set]`
int | OverrideAdapterOrdinal`[get, set]`
bool | IsOverridingWindowed`[get, set]`
bool | IsOverridingFullScreen`[get, set]`
int | OverrideStartX`[get, set]`
int | OverrideStartY`[get, set]`
int | OverrideWidth`[get, set]`
int | OverrideHeight`[get, set]`
bool | IsOverridingForceHardware`[get, set]`
bool | IsOverridingForceReference`[get, set]`
bool | IsOverridingForcePureHardwareVertexProcessing`[get, set]`
bool | IsOverridingForceHardwareVertexProcessing`[get, set]`
bool | IsOverridingForceSoftwareVertexProcessing`[get, set]`
bool | IsOverridingConstantFrameTime`[get, set]`
float | OverrideConstantTimePerFrame`[get, set]`
int | OverrideQuitAfterFrame`[get, set]`
IDeviceCreation | DeviceCreationInterface`[get, set]`
IFrameworkCallback | CallbackInterface`[get, set]`
WndProcCallback | WndProcFunction`[get, set]`
SettingsDialog | Settings`[get, set]`
bool | IsD3DSettingsDialogShowing`[get, set]`
ArrayList | Timers`[get, set]`
string | StaticFrameStats`[get, set]`
string | FrameStats`[get, set]`
string | DeviceStats`[get, set]`
string | WindowTitle`[get, set]`
Capabilities | Capabilities`[get, set]`

## Detailed Description

Holds data for the Framework class, and all of the properties.

Definition at line 134 of file dxmutdata.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.FrameworkData.FrameworkData | ( |  | ) |

Initialize data.

Definition at line 320 of file dxmutdata.cs.

Microsoft.Samples.DirectX.UtilityToolkit.FrameworkData.FrameworkData | ( |  | ) |

Initialize data.

Definition at line 320 of file dxmutdata.cs.

Microsoft.Samples.DirectX.UtilityToolkit.FrameworkData.FrameworkData | ( |  | ) |

Initialize data.

Definition at line 320 of file wdxmutdata.cs.

## Property Documentation

IntPtr Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::AdapterMonitor`[get, set]`

Definition at line 237 of file dxmutdata.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::ApplicationExitCode`[get, set]`

Definition at line 262 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::AreDeviceObjectsCreated`[get, set]`

Definition at line 272 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::AreDeviceObjectsReset`[get, set]`

Definition at line 273 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::AreSizeChangesIgnored`[get, set]`

Definition at line 284 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::AreStatsHidden`[get, set]`

Definition at line 254 of file dxmutdata.cs.

SurfaceDescription Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::BackBufferSurfaceDesc`[get, set]`

Definition at line 231 of file dxmutdata.cs.

IFrameworkCallback Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::CallbackInterface`[get, set]`

Definition at line 304 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::CanAutoChangeAdapter`[get, set]`

Definition at line 260 of file dxmutdata.cs.

Capabilities Microsoft.Samples.DirectX.UtilityToolkit.FrameworkData.Capabilities`[get, set]`

Definition at line 232 of file wdxmutdata.cs.

Caps Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::Caps`[get, set]`

Definition at line 232 of file dxmutdata.cs.

System Drawing Point Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::ClientLocation`[get, set]`

Definition at line 245 of file dxmutdata.cs.

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::ClientRectangle`[get, set]`

Definition at line 242 of file dxmutdata.cs.

DeviceSettings Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::CurrentDeviceSettings`[get, set]`

Definition at line 230 of file dxmutdata.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::CurrentFrameNumber`[get, set]`

Definition at line 250 of file dxmutdata.cs.

float Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::CurrentFrameRate`[get, set]`

Definition at line 249 of file dxmutdata.cs.

double Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::CurrentTime`[get, set]`

Definition at line 238 of file dxmutdata.cs.

System Windows Forms FormStartPosition Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::DefaultStartingLocation`[get, set]`

Definition at line 241 of file dxmutdata.cs.

Device Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::Device`[get, set]`

Definition at line 229 of file dxmutdata.cs.

IDeviceCreation Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::DeviceCreationInterface`[get, set]`

Definition at line 303 of file dxmutdata.cs.

string Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::DeviceStats`[get, set]`

Definition at line 313 of file dxmutdata.cs.

float Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::ElapsedTime`[get, set]`

Definition at line 239 of file dxmutdata.cs.

string Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::FrameStats`[get, set]`

Definition at line 312 of file dxmutdata.cs.

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::FullScreenClientRectangle`[get, set]`

Definition at line 243 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsActive`[get, set]`

Definition at line 276 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsCursorClippedWhenFullScreen`[get, set]`

Definition at line 255 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsD3DSettingsDialogShowing`[get, set]`

Definition at line 308 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsDeviceLost`[get, set]`

Definition at line 281 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsHandlingDefaultHotkeys`[get, set]`

Definition at line 252 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsInited`[get, set]`

Definition at line 264 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsInsideDeviceCallback`[get, set]`

Definition at line 274 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsInsideMainloop`[get, set]`

Definition at line 275 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsInWireframeMode`[get, set]`

Definition at line 259 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsMaximized`[get, set]`

Definition at line 283 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsMinimized`[get, set]`

Definition at line 282 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsNotifiedOnMouseMove`[get, set]`

Definition at line 285 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsOverridingConstantFrameTime`[get, set]`

Definition at line 299 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsOverridingForceHardware`[get, set]`

Definition at line 294 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsOverridingForceHardwareVertexProcessing`[get, set]`

Definition at line 297 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsOverridingForcePureHardwareVertexProcessing`[get, set]`

Definition at line 296 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsOverridingForceReference`[get, set]`

Definition at line 295 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsOverridingForceSoftwareVertexProcessing`[get, set]`

Definition at line 298 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsOverridingFullScreen`[get, set]`

Definition at line 289 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsOverridingWindowed`[get, set]`

Definition at line 288 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsRenderingPaused`[get, set]`

Definition at line 278 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsShowingCursorWhenFullScreen`[get, set]`

Definition at line 256 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsShowingMsgBoxOnError`[get, set]`

Definition at line 253 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsTimePaused`[get, set]`

Definition at line 277 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsUsingConstantFrameTime`[get, set]`

Definition at line 257 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::IsWindowCreatedWithDefaultPositions`[get, set]`

Definition at line 261 of file dxmutdata.cs.

uint Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::LastStatsUpdateFrames`[get, set]`

Definition at line 248 of file dxmutdata.cs.

double Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::LastStatsUpdateTime`[get, set]`

Definition at line 247 of file dxmutdata.cs.

System Windows Forms MainMenu Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::Menu`[get, set]`

Definition at line 246 of file dxmutdata.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::OverrideAdapterOrdinal`[get, set]`

Definition at line 287 of file dxmutdata.cs.

float Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::OverrideConstantTimePerFrame`[get, set]`

Definition at line 300 of file dxmutdata.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::OverrideHeight`[get, set]`

Definition at line 293 of file dxmutdata.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::OverrideQuitAfterFrame`[get, set]`

Definition at line 301 of file dxmutdata.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::OverrideStartX`[get, set]`

Definition at line 290 of file dxmutdata.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::OverrideStartY`[get, set]`

Definition at line 291 of file dxmutdata.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::OverrideWidth`[get, set]`

Definition at line 292 of file dxmutdata.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::PauseRenderingCount`[get, set]`

Definition at line 279 of file dxmutdata.cs.

int Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::PauseTimeCount`[get, set]`

Definition at line 280 of file dxmutdata.cs.

SettingsDialog Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::Settings`[get, set]`

Definition at line 307 of file dxmutdata.cs.

string Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::StaticFrameStats`[get, set]`

Definition at line 311 of file dxmutdata.cs.

float Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::TimePerFrame`[get, set]`

Definition at line 258 of file dxmutdata.cs.

ArrayList Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::Timers`[get, set]`

Definition at line 310 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::WasDeviceCreateCalled`[get, set]`

Definition at line 270 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::WasDeviceCreated`[get, set]`

Definition at line 266 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::WasInitCalled`[get, set]`

Definition at line 268 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::WasWindowCreateCalled`[get, set]`

Definition at line 269 of file dxmutdata.cs.

bool Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::WasWindowCreated`[get, set]`

Definition at line 265 of file dxmutdata.cs.

System Drawing Rectangle Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::WindowBoundsRectangle`[get, set]`

Definition at line 244 of file dxmutdata.cs.

System Windows Forms Control Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::WindowDeviceFullScreen`[get, set]`

Definition at line 235 of file dxmutdata.cs.

System Windows Forms Control Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::WindowDeviceWindowed`[get, set]`

Definition at line 236 of file dxmutdata.cs.

System Windows Forms Control Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::WindowFocus`[get, set]`

Definition at line 234 of file dxmutdata.cs.

string Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::WindowTitle`[get, set]`

Definition at line 314 of file dxmutdata.cs.

WndProcCallback Microsoft::Samples::DirectX::UtilityToolkit.FrameworkData::WndProcFunction`[get, set]`

Definition at line 305 of file dxmutdata.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutdata.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutdata.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutdata.cs